#include <iostream>

using namespace std;

int main()
{
    int n,k,pamti;
    cin >> n >> k;
    int prethodni,prvi,trenutni;
    cin >> prvi;
    prethodni=prvi;
    for(int i=1;i<n;i++){
        cin >> trenutni;
        if(prethodni==k){
            pamti=trenutni;
        }
        prethodni=trenutni;
    }
    if(trenutni==k){
        pamti=prvi;
    }
    cout << pamti << endl;
    return 0;
}